"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const fs = tslib_1.__importStar(require("node:fs"));
const parse_graphql_1 = tslib_1.__importDefault(require("./parse-graphql"));
exports.default = (graphqlInfos) => {
    return graphqlInfos.map((graphqlInfo) => {
        const schemaString = fs.readFileSync(graphqlInfo.graphqlFilePath, 'utf8');
        const parsedGraphql = (0, parse_graphql_1.default)(schemaString);
        return Object.assign(Object.assign(Object.assign({}, graphqlInfo), parsedGraphql), { types: parsedGraphql.typeDefinitions.length > 0, schemaString: `${schemaString}
      scalar Upload
      ` });
    });
};
