"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require('path');
exports.default = (fileList, projectMainPath) => {
    return fileList.map((graphqlFilePath) => {
        const possibleModuleName = path.basename(graphqlFilePath, '.graphql');
        return {
            name: possibleModuleName,
            graphqlFilePath,
            graphqlFileRootPath: graphqlFilePath
                .replace(`${projectMainPath}/src/`, '')
                .replace(`${possibleModuleName}.graphql`, ''),
        };
    });
};
