"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const testdouble_1 = tslib_1.__importDefault(require("testdouble"));
const testdouble_jest_1 = tslib_1.__importDefault(require("testdouble-jest"));
(0, testdouble_jest_1.default)(testdouble_1.default, jest);
const fs = testdouble_1.default.replace('node:fs');
testdouble_1.default.when(fs.readFileSync('/src/modules/Accounts/graphql/Accounts.graphql', 'utf8')).thenReturn(`type Query {
    me: User
  }`);
// eslint-disable-next-line node/no-missing-require
const getModuleInfos = require('./get-module-infos').default;
const exampleNames = [{ name: 'Accounts', graphqlFilePath: '/src/modules/Accounts/graphql/Accounts.graphql' }];
test('', () => {
    const parsed = getModuleInfos(exampleNames)[0];
    expect(parsed.name).toEqual('Accounts');
    expect(parsed.queries).toMatchObject([{ name: 'me' }]);
    expect(parsed.types).toEqual(false);
});
